package de.hdm_stuttgart.battlearena.Controller.Utilities;

import javafx.animation.ScaleTransition;
import javafx.scene.control.Button;
import javafx.scene.control.skin.ButtonSkin;
import javafx.util.Duration;

public class ButtonTransition extends ButtonSkin {
    public ButtonTransition(Button button) {
        super(button);
//        set transition for mouse hovering over button
        final ScaleTransition fadeIn = new ScaleTransition(Duration.millis(150));
        fadeIn.setNode(button);
        fadeIn.setToX(1.1);
        fadeIn.setToY(1.1);
        button.setOnMouseEntered(e -> fadeIn.playFromStart());

//        set transition for mouse exiting buttonButtonTransitionScale
        final ScaleTransition fadeOut = new ScaleTransition(Duration.millis(150));
        fadeOut.setNode(button);
        fadeOut.setToX(1.0);
        fadeOut.setToY(1.0);
        button.setOnMouseExited(e -> fadeOut.playFromStart());

        button.setScaleX(1.0);
        button.setScaleY(1.0);
    }
}

