package de.hdm_stuttgart.battlearena.Model.DataStorage.Classes;

public class PlayerAccount {

    private String playerName;
    private String accountPassword;     //only used for Online-Account; "" for local account
    private AccountType accountType;


    public PlayerAccount(String playerName, String accountPassword, AccountType accountType) {
        this.playerName = playerName;
        this.accountPassword = accountPassword;
        this.accountType = accountType;
    }

    public String getPlayerName() {
        return playerName;
    }

    public String getAccountPassword() {
        return accountPassword;
    }

    public AccountType getAccountType() {
        return accountType;
    }

}
