package de.hdm_stuttgart.battlearena.Model.DataStorage.Classes;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class StartupThread extends Thread{

    private static final Logger log = LogManager.getLogger(StartupThread.class);

    @Override
    public void run() {

        Persistence persistenceInst = Persistence.getInstance();

        try {
            persistenceInst.loadSettings();
            persistenceInst.loadCoreMaps();
            persistenceInst.loadCommunityMaps();
            persistenceInst.verifyAppSettings();
            persistenceInst.verifyCoreMaps();
            persistenceInst.verifyCommunityMaps();
            log.info("Startup routine part1 complete!");
        } catch (Exception e) {
            log.error(e);
        }
    }

}
