package de.hdm_stuttgart.battlearena.Model.Sound;

import java.io.IOException;
import java.net.MalformedURLException;
import java.nio.file.Path;
import java.util.List;

public interface ISoundManager {



    void playSoundEffect() throws InterruptedException, MalformedURLException; //plays sound effects only

    List<Path> getFilePathsFromResources(Path folderPath) throws IOException; // gets file-paths in a Folder as a list

}
